%define name	tmda
%define version 1.0.3
%define release %mkrel 4


Summary:	Tagged Message Delivery Agent
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	BSD
Group:		Networking/Mail
URL:		http://tmda.net
BuildArch:	noarch
Requires:	python-cdb
BuildRequires:	python 
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
TMDA is an OSI certified software application designed to
significantly reduce the amount of SPAM/UCE (junk-mail) you
receive. TMDA combines a  "whitelist" (for known/trusted senders),
a "blacklist" (for undesired senders), and a cryptographically
enhanced confirmation system (for unknown, but legitimate
senders).

%package	emacs
Summary:	Tagged Message Deliver Agent - Emacs Support Files
Group:		Editors
Requires:	tmda >= %{version}, emacs

%description	emacs
This module contains useful helper routines for using TMDA from
Gnus (and perhaps other Emacs based mail/news readers). 

%prep
%setup -q

%build
mv htdocs/README README.htdocs

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}


install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/tmda
install -d %{buildroot}%{_datadir}/emacs/site-lisp
install -d %{buildroot}%{py_puresitedir}/TMDA/pythonlib/email

install -m0755 bin/tmda-* %{buildroot}%{_bindir}/
install -m0644 templates/*.txt %{buildroot}%{_datadir}/tmda/
install -m0644 TMDA/*.py %{buildroot}%{py_puresitedir}/TMDA/
install -m0644 TMDA/pythonlib/email/*.py %{buildroot}%{py_puresitedir}/TMDA/pythonlib/email/
install -m0755 contrib/{collectaddys,printcdb,printdbm} %{buildroot}%{_bindir}
install -m0644 contrib/tmda.el %{buildroot}%{_datadir}/emacs/site-lisp

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog CODENAMES COPYING CRYPTO INSTALL README* THANKS UPGRADE contrib htdocs/{*.html,img/}
%attr(0755,root,root) %{_bindir}/*
%{py_puresitedir}/TMDA/
%{_datadir}/tmda/*

%files emacs
%defattr(0644,root,root)
%{_datadir}/emacs/site-lisp/tmda.el

%changelog
* Mon Jan 30 2006 Michael Scherer <misc@mandriva.org> 1.0.3-4mdk
- Remove requires on specific version
- use mkrel
- clean spec, use macro, fix unowned dir

* Thu Jan 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-3mdk
- merge spec file changes from the provided spec file, spotted
  by Simon Waldman

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.0.3-2mdk
- Rebuild for new python

* Sun Aug 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.92-2mdk
- own dir

* Tue Dec 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.92-1mdk
- 0.92

* Fri Aug 08 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.80-4mdk
- python 2.3

* Thu Aug 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.80-3mdk
- rebuilt for new python

* Wed Jul 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.80-2mdk
- fix requires python-cdb

* Wed Jul 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.80-1mdk
- 0.80
- misc spec file fixes

* Thu Jan 02 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.67-1mdk
- 0.67

* Wed Oct 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.62-1mdk
- 0.62

* Tue Aug 20 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.61-1mdk
- 0.61

* Fri Aug 02 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.59-1mdk
- 0.59
- new URL

* Tue Jul 16 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.58-1mdk
- 0.58

* Tue Jun 18 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.57-1mdk
- 0.57

* Fri Jun 07 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.56-1mdk
- 0.56
- install contrib tools

* Sat May 04 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.54-1mdk
- 0.54

* Tue Apr 23 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.52-1mdk
- 0.52

* Sun Mar 17 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.49-1mdk
- 0.49

* Tue Mar 5 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.48-1mdk
- 0.48
- get a little creative with how we figure out what version of python we're
  built against (better for rebuilding srpms).. only drawback is it requires
  python to be installed as an rpm

* Fri Feb  8 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.46-1mdk
- 0.46

* Sun Feb  3 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.45-1mdk
- 0.45
- buildrequires: python >= 2.0
- requires is now explicit to python version for binary builds

* Thu Jan 10 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.44-1mdk
- 0.44

* Tue Dec 11 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.42-1mdk
- 0.42

* Sat Dec  8 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.41-1mdk
- first Mandrake version
